using System;
using System.Collections.Generic;
using System.Text;
using RhinoMockDemo.DBOs;
using RhinoMockDemo.Providers;

namespace RhinoMockDemo
{
	public class ClassFactory : IClassFactory
	{		
		
		public ClassFactory()
		{
			
		}
		
		public CustomersForm CustomersForm 
		{ 
			get
			{
				RhinoMockDemo.CustomersForm dlg = new CustomersForm(this);
				return dlg;
			} 
		}
		
		public ICustomerDbo CustomerDbo { get { return new CustomerDbo(); }}

		public CustomerPresenter CustomerPresenter(CustomersForm form)
		{
			RhinoMockDemo.Providers.CustomerPresenter presenter = new RhinoMockDemo.Providers.CustomerPresenter(form, this);
			return presenter;
		}
	}
}
