using System;
using System.Collections.Generic;
using System.Data.SqlClient;

namespace RhinoMockDemo.DBOs
{
	public class CustomerDbo : ICustomerDbo
	{
		public List<ICustomer> GetAllCustomers()
		{
			List<ICustomer> oList = new List<ICustomer>();
			
			string sConn = "Data Source=.;Initial Catalog=AdventureWorksLT;Integrated Security=True";
			using (SqlConnection oConn = new SqlConnection(sConn) )
			{
				oConn.Open();
				string sCmd = "select CustomerID, Title, FirstName, LastName, EmailAddress from SalesLT.Customer";
				using (SqlCommand oCmd = new SqlCommand(sCmd, oConn))
				{
					using (SqlDataReader reader = oCmd.ExecuteReader())
					{
						while(reader.Read())
						{
							Customer c =
								new Customer((int)reader["CustomerID"], reader["Title"].ToString(), reader["FirstName"].ToString(),
								             reader["LastName"].ToString(), reader["EmailAddress"].ToString());
							oList.Add(c);	         	
						}
					}
				}
			}
			return oList;
		}

		public void DeleteCustomer(int customerId)
		{
			string sConn = "Data Source=.;Initial Catalog=AdventureWorksLT;Integrated Security=True";
			using (SqlConnection oConn = new SqlConnection(sConn) )
			{
				oConn.Open();
				// add code to delete the customer
			}
		}

		public event EventHandler<EventArgs> MyEvent;

		public ICustomer CreateCustomer()
		{
			return null;
			//throw new NotImplementedException();
		}
	}

}
